'use strict';

var pluginutils = require('@rollup/pluginutils');
var jsToml = require('@ltd/j-toml');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var jsToml__default = /*#__PURE__*/_interopDefaultLegacy(jsToml);

function toml(options) {
  if ( options === void 0 ) options = {};

  var filter = pluginutils.createFilter(options.include, options.exclude);
  var indent = 'indent' in options ? options.indent : '\t';

  return {
    name: 'toml',

    // eslint-disable-next-line no-shadow
    transform: function transform(toml, id) {
      if (id.slice(-5) !== '.toml' || !filter(id)) { return null; }

      try {
        var parsed = jsToml__default["default"].parse(toml, {bigint: false});
        return {
          code: pluginutils.dataToEsm(parsed, {
            preferConst: options.preferConst,
            compact: options.compact,
            namedExports: options.namedExports,
            indent: indent
          }),
          map: { mappings: '' }
        };
      } catch (err) {
        var message = 'Could not parse TOML file';
        var position = 1; //TODO : find the real position
        this.warn({ message: message, id: id, position: position });
        return null;
      }
    }
  };
}

module.exports = toml;
//# sourceMappingURL=index.js.map
